# Yahoo! UI Library

### DataTable Widget 2.9.0

Yahoo! UI Library > datatable > YAHOO.util.ColumnResizer
Search:
Filters Show Private Show Protected Show Deprecated

## Class YAHOO.util.ColumnResizer - extends YAHOO.util.DDProxy

ColumnResizer subclasses DragDrop to support resizeable Columns.

### Constructor

YAHOO.util.ColumnResizer `( oDataTable , oColumn , elTh , sHandleElId , elProxy )`

Parameters:
  `oDataTable <YAHOO.widget.DataTable>` DataTable instance.
  `oColumn <YAHOO.widget.Column>` Column instance.
  `elTh <HTMLElement>` TH element reference.
  `sHandleElId <String>` DOM ID of the handle element that causes the resize.
  `elProxy <HTMLElement>` Resizer proxy element.

### Properties

#### editorOptions - `object`

Deprecated: Pass configs directly to CellEditor constructor.

### Methods

#### clickValidator

`private void clickValidator ( e )`
Custom clickValidator to ensure Column is not in hidden state.

Parameters:
  `e <Event>`

#### onDrag

`void onDrag ( e )`
Handles drag events on the Column resizer.

Parameters:
  `e <string>` The drag event

#### onMouseDown

`void onMouseDown ( e )`
Handles mousedown events on the Column resizer.

Parameters:
  `e <string>` The mousedown event

#### onMouseUp

`void onMouseUp ( e )`
Handles mouseup events on the Column resizer.

Parameters:
  `e <string>` The mouseup event

#### resetResizerEl

`void resetResizerEl ( )`
Resets resizer element.

#### startDrag

`void startDrag ( e )`
Handles start drag on the Column resizer.

Parameters:
  `e <string>` The drag event

Copyright © 2011 Yahoo! Inc. All rights reserved.